package io.flutter.plugins.webviewflutter;

import android.app.Activity;
import android.view.View;
import android.webkit.WebChromeClient;
import android.webkit.WebView;

/**
 * Created on 05.26 - 2020
 *
 * @author wenbosheng
 * Copyright (c) 2020 android Amber
 */
public class FlutterWebChromeClient extends WebChromeClient {

    private final VideoViewController controller;

    private final FlutterWebView webView;

    FlutterWebChromeClient(FlutterWebView webView) {
        controller = new VideoViewController();
        this.webView = webView;
    }

    public boolean isFullScreenVideo(){
        return controller.isShouldFullScreen();
    }

    @Override
    public void onProgressChanged(WebView view, int newProgress) {
        super.onProgressChanged(view, newProgress);
    }

    @Override
    public void onShowCustomView(View view, CustomViewCallback callback) {
        controller.onShowCustomView(view, callback);
    }

    @Override
    public void onHideCustomView() {
        controller.onHideCustomView();
        webView.dispose();
    }

    void setActivity(Activity activity) {
        controller.setHolderActivity(activity);
    }
}
