package io.flutter.plugins.webviewflutter;

import android.app.Activity;
import android.content.Context;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

/**
 * Created on 05.26 - 2020
 *
 * @author wenbosheng
 * Copyright (c) 2020 android Amber
 */
public class WorkerActives {

    interface Finisher{
        void finish();
    }

    interface Active{
        void makeActive(String id);
        void onActive(Activity activity);
    }

    private final static Set<Finisher> sFinishers = new HashSet<>();

    private final static Map<String,Active> sActives = new HashMap<>();

    static void registerActive(String id,Active active){
        sActives.put(id,active);
        active.makeActive(id);
    }

    static void postActive(String id,Activity activity){
        Active active = sActives.get(id);
        if (active!=null){
            active.onActive(activity);
        }
    }

    static void postInActive(String id){
        sActives.remove(id);
    }

    static void register(Finisher finisher){
        sFinishers.add(finisher);
    }
    static void unregister(Finisher finisher){
        sFinishers.remove(finisher);
    }

    static void makeInactive(){
        Set<Finisher> clone = new HashSet<>(sFinishers);
        for (Finisher finisher : clone) {
            finisher.finish();
        }
    }
}
